## hobbit-plugins 20080705

=== Makefile ===
ETCDIRS = clientlaunch.d hobbitgraph.d hobbitlaunch.d hobbitserver.d
EXTDIRS = client-ext server-ext

install:
	for dir in $(ETCDIRS) ; do \
		dest=$(DESTDIR)/etc/hobbit/$$dir && \
		install -d $$dest && \
		install -m644 $$dir/* $$dest || exit 1 ; \
	done
	for dir in $(EXTDIRS) ; do \
		dest=$(DESTDIR)/usr/lib/hobbit/`basename $$dir -ext`/ext && \
		install -d $$dest && \
		install $$dir/* $$dest || exit 1; \
	done
	install -d $(DESTDIR)/usr/share/perl5
	install -m644 perl/* $(DESTDIR)/usr/share/perl5

## hobbit-plugins 20071222

=== debian/changelog ===
hobbit-plugins (20071222) unstable; urgency=low

  * Add postgres plugin (needs splitncv patch, included in hobbit >=
    4.2.0.dfsg-9).

 -- Christoph Berg <myon@debian.org>  Sat, 22 Dec 2007 19:59:17 +0100

hobbit-plugins (20071101) unstable; urgency=low

  * Use hobbit init script to recreate include files.
  * Add conn6 server script.

 -- Christoph Berg <myon@debian.org>  Thu, 01 Nov 2007 21:38:00 +0100

hobbit-plugins (20070908) unstable; urgency=low

  * bb-check-libs: Format output over multiple lines, send clear instead of
    purple when lsof is missing.
  * bb-check-apt: print "apt-get install" for cut-and-paste, also print
    packages on hold.
  * Add Homepage: and Vcs-Hg:.

 -- Christoph Berg <myon@debian.org>  Sat, 08 Sep 2007 00:40:32 +0200

hobbit-plugins (20070823) unstable; urgency=low

  * bb-check-libs: Code restructured, handle lsof not found more nicely.
  * Fix postinst.
  * Section: net.

 -- Christoph Berg <myon@debian.org>  Thu, 23 Aug 2007 16:50:30 +0200

hobbit-plugins (20070819) unstable; urgency=low

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Sun, 19 Aug 2007 14:32:59 +0200

=== debian/control ===
Source: hobbit-plugins
Section: net
Priority: extra
Maintainer: Christoph Berg <myon@debian.org>
Uploaders: Martin Zobel-Helas <zobel@debian.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.7.3
Vcs-Hg: http://hg.debian.org/hg/collab-maint/hobbit/hobbit-plugins
Homepage: http://hobbitmon.sourceforge.net/

Package: hobbit-plugins
Architecture: all
Depends: hobbit-client, lsof
Suggests: libdbd-pg-perl
Description: plugins for the Hobbit network monitor
 This package provides plugins for the Hobbit network monitor.
 Included are:
  * apt - checks for outstanding updates
  * libs - checks for running processes with upgraded libraries
  * postgres - statistics graphs for postgresql databases

=== debian/rules ===
#!/usr/bin/make -f

build-arch:
build build-indep:

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_install

binary-arch:
binary binary-indep: install
	dh_installdocs
	dh_installchangelogs
	dh_fixperms
	dh_compress
	dh_md5sums
	dh_installdeb
	dh_gencontrol
	dh_builddeb

clean:
	dh_clean

.PHONY: build build-indep build-arch install binary binary-indep binary-arch clean

## hobbit-plugins 20080407

=== debian/changelog ===
hobbit-plugins (20080407) unstable; urgency=low

  [ Christoph Berg ]
  * bb-check-apt: Warn when installed packages have no corresponding apt
    repository.
  * postgres: Use PgCommon.pm to find active clusters for the latest
    PostgreSQL version installed and monitor all. Clusters not named "main"
    will be reported as clustername.domainname.

  [ Peter Eisentraut ]
  * bb-check-apt: Also check /var/lib/apt/periodic/update-stamp for last
    update timestamp, because some file systems don't update
    /var/lib/apt/lists/lock reliably.
  * Corrected spelling of PostgreSQL in package description and postgres.cfg.
  * Hobbit.pm: Added status synopsis to the title line after the date.
  * ntpq: New module for checking the ntpd daemon synchronization status.

 -- Christoph Berg <myon@debian.org>  Mon, 07 Apr 2008 13:17:10 +0200

hobbit-plugins (20080308) unstable; urgency=low

  * Hobbit.pm: Perl module for easier scripting.
  * aptdiff: Monitor differences in installed packages in host pools.
  * ipmi: Monitor IPMI sensors and event log.

  * ircbot: Do not announce unchanged status messages.

  * Add README.Debian.

 -- Christoph Berg <myon@debian.org>  Sat, 08 Mar 2008 01:27:48 +0100

hobbit-plugins (20080229) unstable; urgency=low

  * Add IRC bot plugin.

 -- Christoph Berg <myon@debian.org>  Sat, 01 Mar 2008 01:42:17 +0100

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,20 @@
 
 Package: hobbit-plugins
 Architecture: all
-Depends: hobbit-client, lsof
-Suggests: libdbd-pg-perl
+Depends: hobbit-client
+Recommends: lsof
+Suggests: libdbd-pg-perl, libnet-irc-perl, ipmitool, fping, ntp
 Description: plugins for the Hobbit network monitor
  This package provides plugins for the Hobbit network monitor.
- Included are:
-  * apt - checks for outstanding updates
-  * libs - checks for running processes with upgraded libraries
-  * postgres - statistics graphs for postgresql databases
+ .
+ Included client plugins:
+  * apt - check for outstanding updates
+  * ipmi - read IPMI sensors and event log
+  * libs - check for running processes with upgraded libraries
+  * ntpq - check the ntpd daemon synchronization status
+  * postgres - statistics graphs for PostgreSQL databases
+ .
+ Included server plugins:
+  * aptdiff - monitor list of installed packages in host pools
+  * conn6 - check IPv6 connectivity
+  * ircbot - relay status changes to IRC

## hobbit-plugins 20080705

=== debian/changelog ===
hobbit-plugins (20080705) unstable; urgency=low

  [ Peter Eisentraut ]
  * ntpq: Give ntpq some time to initialize, so the test is not red just 
    after boot.

  [ Christoph Berg ]
  * apt: Also look for /var/lib/apt/update_success.
  * entropy: Monitor and graph available kernel entropy.
  * ircbot: Show disable time and message when tests are set blue.
  * Remove `bb-check-' prefix from apt und libs plugin binaries.

 -- Christoph Berg <myon@debian.org>  Sat, 05 Jul 2008 16:03:53 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Christoph Berg <myon@debian.org>
 Uploaders: Martin Zobel-Helas <zobel@debian.org>
 Build-Depends: debhelper (>= 4.0.0)
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 Vcs-Hg: http://hg.debian.org/hg/collab-maint/hobbit/hobbit-plugins
 Homepage: http://hobbitmon.sourceforge.net/

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k
-	dh_install
+	make install DESTDIR=debian/hobbit-plugins
 
 binary-arch:
 binary binary-indep: install

## hobbit-plugins 20090420

=== debian/changelog ===
hobbit-plugins (20090420) unstable; urgency=low

  * apt: Show number of outstanding upgrades; don't complain about held
    packages not coming from a repository.
  * mdstat: Monitor /proc/mdstat.
  * ircbot: Display acknowledgements.

 -- Christoph Berg <myon@debian.org>  Mon, 20 Apr 2009 18:03:02 +0200

## hobbit-plugins 20091007

=== debian/changelog ===
hobbit-plugins (20091007) unstable; urgency=low

  * xynagios: Add --hostname, --strip, and --trends options.

 -- Christoph Berg <myon@debian.org>  Wed, 07 Oct 2009 16:09:58 +0200

hobbit-plugins (20090817) unstable; urgency=low

  * xynagios: adaptor for running Nagios plugins with Xymon.
  * misc: meta plugin for running series of scripts.
    + mount-ro: check for read-only filesystems.
    + zombies: check for zombie processes.
  * Hobbit.pm: Allow setting the report title line via $bb->{title}.
  * Recommends libsysadm-install-perl.
  * Remove Martin from Uploaders.
  * Bump Standards-Version and DH compat level.

 -- Christoph Berg <myon@debian.org>  Mon, 17 Aug 2009 09:34:33 +0200

=== debian/control ===
Source: hobbit-plugins
Section: net
Priority: extra
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.3
Vcs-Hg: http://hg.debian.org/hg/collab-maint/hobbit/hobbit-plugins
Vcs-Browser: http://hg.debian.org/hg/collab-maint/hobbit/hobbit-plugins
Homepage: http://hobbitmon.sourceforge.net/

Package: hobbit-plugins
Architecture: all
Depends: hobbit-client
Recommends: libsysadm-install-perl, lsof
Suggests: libdbd-pg-perl, libnet-irc-perl, ipmitool, fping, ntp
Description: plugins for the Xymon network monitor
 This package provides plugins for the Xymon network monitor. (Formerly called
 Hobbit.)
 .
 Included client plugins:
  * apt - check for outstanding updates
  * entropy - check kernel entropy pool size
  * ipmi - read IPMI sensors and event log
  * libs - check for running processes with upgraded libraries
  * mdstat - check for failed or resyncing RAID devices
  * misc - meta plugin for running series of scripts
  * ntpq - check the ntpd daemon synchronization status
  * postgres - statistics graphs for PostgreSQL databases
 .
 Included server plugins:
  * aptdiff - monitor list of installed packages in host pools
  * conn6 - check IPv6 connectivity
  * ircbot - relay status changes to IRC
 .
 Helper software:
  * Hobbit.pm: Perl module for writing plugins
  * xynagios: adaptor for running Nagios plugins with Xymon

## hobbit-plugins 20100527

=== Makefile ===
ETCDIRS = clientlaunch.d misc.d hobbitgraph.d hobbitlaunch.d hobbitserver.d
EXTDIRS = client-ext server-ext
MANS = xynagios.1

all: $(MANS)

xynagios.1: client-bin/xynagios
	pod2man $< > $@

install: $(MANS)
	for dir in $(ETCDIRS) ; do \
		dest=$(DESTDIR)/etc/hobbit/$$dir && \
		install -d $$dest && \
		install -m644 $$dir/* $$dest || exit 1 ; \
	done
	chmod 755 $(DESTDIR)/etc/hobbit/misc.d/*
	for dir in $(EXTDIRS) ; do \
		dest=$(DESTDIR)/usr/lib/hobbit/`basename $$dir -ext`/ext && \
		install -d $$dest && \
		install $$dir/* $$dest || exit 1; \
	done
	dest=$(DESTDIR)/usr/lib/hobbit/client/bin && \
	     install -d $$dest && \
	     install client-bin/* $$dest
	install -d $(DESTDIR)/usr/share/perl5
	install -m644 perl/* $(DESTDIR)/usr/share/perl5
	install -d $(DESTDIR)/usr/share/man/man1
	install -m644 xynagios.1 $(DESTDIR)/usr/share/man/man1

clean:
	rm -f $(MANS)

=== debian/changelog ===
hobbit-plugins (20100527) unstable; urgency=low

  * ircbot: implement drop and ack commands.
  * apt: If /var/lib/apt/update_output exists, assume it contains errors from
    apt-get update -qq and print it.

 -- Christoph Berg <myon@debian.org>  Thu, 27 May 2010 13:01:14 +0200

hobbit-plugins (20100320) unstable; urgency=low

  * ircbot: improve messages a bit, and implement disable/enable commands.

 -- Christoph Berg <myon@debian.org>  Sat, 20 Mar 2010 20:35:03 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: extra
 Maintainer: Christoph Berg <myon@debian.org>
 Build-Depends: debhelper (>= 7)
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Vcs-Hg: http://hg.debian.org/hg/collab-maint/hobbit/hobbit-plugins
 Vcs-Browser: http://hg.debian.org/hg/collab-maint/hobbit/hobbit-plugins
 Homepage: http://hobbitmon.sourceforge.net/
 
 Package: hobbit-plugins
 Architecture: all
-Depends: hobbit-client
+Depends: hobbit-client, ${misc:Depends}
 Recommends: libsysadm-install-perl, lsof
 Suggests: libdbd-pg-perl, libnet-irc-perl, ipmitool, fping, ntp
 Description: plugins for the Xymon network monitor

## hobbit-plugins 20110325

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+ETCFILES = dirty_vcs_dirs
 ETCDIRS = clientlaunch.d misc.d hobbitgraph.d hobbitlaunch.d hobbitserver.d
 EXTDIRS = client-ext server-ext
 MANS = xynagios.1
@@ -13,6 +14,11 @@
 		install -d $$dest && \
 		install -m644 $$dir/* $$dest || exit 1 ; \
 	done
+	for file in $(ETCFILES) ; do \
+		dest=$(DESTDIR)/etc/hobbit && \
+		install -d $$dest && \
+		install -m644 etc/$$file $$dest || exit 1 ; \
+	done
 	chmod 755 $(DESTDIR)/etc/hobbit/misc.d/*
 	for dir in $(EXTDIRS) ; do \
 		dest=$(DESTDIR)/usr/lib/hobbit/`basename $$dir -ext`/ext && \
@@ -22,6 +28,9 @@
 	dest=$(DESTDIR)/usr/lib/hobbit/client/bin && \
 	     install -d $$dest && \
 	     install client-bin/* $$dest
+	dest=$(DESTDIR)/etc/sudoers.d && \
+	     install -d $$dest && \
+	     install sudoers.d/* $$dest
 	install -d $(DESTDIR)/usr/share/perl5
 	install -m644 perl/* $(DESTDIR)/usr/share/perl5
 	install -d $(DESTDIR)/usr/share/man/man1
@@ -29,3 +38,6 @@
 
 clean:
 	rm -f $(MANS)
+
+test:
+	for i in `egrep -l '^#! ?/usr/bin/perl' *-ext/* | egrep -v 'misc|postgres|~$$'` perl/*.pm; do perl -Iperl -c $$i; done

=== debian/changelog ===
hobbit-plugins (20110325) unstable; urgency=low

  [ Christoph Berg ]
  * sftbnc: Disable by default.
  * Hobbit.pm: Allow h/d/w suffix on status ttl.

  [ Axel Beckert ]
  * apt:
    - Now also understands "deb file:///…" apt repositories.
    - Remove some debug output which caused harm when the plugin was
      running standalone.
  * dirtyvcs:
    - Neither list subdirectories of Subversion repositories nor Git
      submodules.
    - Make VCS directories to check configurable.
  * libs:
    - Sync with
      http://cvs.noreply.org/cgi-bin/viewvc.cgi/trunk/nagios-check-libs?revision=474
    - Gracefully handle not installed or non-working sudo and lsof.
    - Clarify severity of some messages by adding some more icons to the
      output.
  * debian/control:
    - Update package description to list dependencies of each plugin and
      the sftbnc plugin.
    - Recommend sudo >= 1.7.2p1-1 (where support for /etc/sudoers.d has
      been added) since the libs plugin (enabled by default) no more works
      without root rights.
  * README.Debian: Add more documentation.

  [ Roland Rosenfeld ]
  * conn6: Replace the shell script with a more featureful
    implementation in Perl. See the script source for documentation.
    (Closes: #614564)

 -- Axel Beckert <abe@debian.org>  Thu, 24 Mar 2011 22:46:37 +0100

hobbit-plugins (20110311) unstable; urgency=low

  [ Axel Beckert ]
  * Depend on xymon-client and only alternatively on the transitional
    package hobbit-client.
  * Move from Hg to Git (Vcs-* header in debian/control updated)
  * Update homepage to current Xymon homepage
  * Add new checks:
    + Check for dirty VCS working copies. Suggest the supported VCS
      packages (git, mercurial, bzr, subversion).
    + Check for Postfix soft_bounce being enabled (Closes: #570442)
  * Let Hobbit.pm support status+<seconds> syntax, add new optional
    attribute ttl.
  * Add a simple perl syntax checker as "make test"
  * Fix lintian warning maintainer-script-without-set-e.
  * Sort long package lists alphabetically.

  [ Christoph Berg ]
  * libs: Needs sudo for lsof now, put a config snippet in sudoers.d.

 -- Christoph Berg <myon@debian.org>  Fri, 11 Mar 2011 11:05:35 +0100

hobbit-plugins (20101207) experimental; urgency=low

  * ircbot: Fixed help command if prefixed with nick name
  * apt: Also check aptitude's hold states, not only dpkg's
  * apt: Use perl regexps in /etc/hobbit/apt_*
  * apt: Name configuration files and (internal) variables
    consistently. (/etc/hobbit/apt_no_repo_accept and
    /etc/hobbit/apt_reject)

 -- Axel Beckert <abe@debian.org>  Mon, 06 Dec 2010 21:32:37 +0100

hobbit-plugins (20101203) experimental; urgency=low

  * Add myself to Uploaders.
  * apt: Overhaul "last apt update" determining
    + Split up the list of update stamp files into two groups to reduce
      the amount of "Last apt update" false positives:
      - Files where each file indicates a successful update, just not
        necessarily the newest one. Check all of them and use the newest
        of them. (Closes: #605687)
      - Files which are less exact indicators. Check them in order and
        just use the first one found as before.
    + Check mtime of /var/cache/apt/pkgcache.bin, /var/lib/apt/lists/partial
      and /var/lib/apt/lists before checking the mtime of
      /var/lib/apt/lists/lock. (Closes: #526894)
    + Add patch by Emil Larsson for not-in-repo package whitelist
      (/etc/hobbit/apt_alien_accepts) as well as a rejected packages
      blacklist (/etc/hobbit/apt_rejects). (Closes: #487331)
  * ircbot: Forward-port nick-highlighting patch by Christian Herzog from
    ISG D-PHYS, ETH Zurich (Closes: #524016)
  * ircbot: Optionally use privmsg instead of notice for green and clear
    messages (set IRC_GREEN_PRIVMSG to 1)
  * Bump Standards-Version to 3.9.1 (no changes)
  * Switch to source format "3.0 (native)"

 -- Axel Beckert <abe@debian.org>  Fri, 03 Dec 2010 15:58:44 +0100

=== debian/control ===
Source: hobbit-plugins
Section: net
Priority: extra
Maintainer: Christoph Berg <myon@debian.org>
Uploaders: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/collab-maint/hobbit-plugins.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/hobbit-plugins.git
Homepage: http://xymon.sourceforge.net/

Package: hobbit-plugins
Architecture: all
Depends: xymon-client | hobbit-client, ${misc:Depends}
Recommends: libsysadm-install-perl, lsof, sudo (>= 1.7.2p1-1)
Suggests: libdbd-pg-perl, libnet-irc-perl, ipmitool, fping, ntp, git | git-core, bzr, mercurial, subversion
Description: plugins for the Xymon network monitor
 This package provides plugins for the Xymon network monitor. (Formerly called
 Hobbit.)
 .
 Included client plugins:
  * apt - check for outstanding updates
  * dirtyvcs - check for dirty VCS working copies (supports Git,
    Mercurial, Bzr and Subversion, needs appropriate VCS packages
    installed)
  * entropy - check kernel entropy pool size
  * ipmi - read IPMI sensors and event log (needs ipmitool)
  * libs - check for running processes with upgraded libraries
    (needs lsof and sudo)
  * mdstat - check for failed or resyncing RAID devices
  * misc - meta plugin for running series of scripts (needs
    libsysadm-install-perl)
  * ntpq - check the ntpd daemon synchronization status (needs ntp)
  * postgres - statistics graphs for PostgreSQL databases (needs 
    libdbd-pg-perl)
  * sftbnc - check if the local Postfix MTA has soft_bounce enabled.
 .
 Included server plugins:
  * aptdiff - monitor list of installed packages in host pools
  * conn6 - check IPv6 connectivity (needs fping)
  * ircbot - relay status changes to IRC (needs libnet-irc-perl)
 .
 Helper software:
  * Hobbit.pm: Perl module for writing plugins
  * xynagios: adaptor for running Nagios plugins with Xymon

## hobbit-plugins 20111012

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,15 @@
 ETCFILES = dirty_vcs_dirs
 ETCDIRS = clientlaunch.d misc.d hobbitgraph.d hobbitlaunch.d hobbitserver.d
 EXTDIRS = client-ext server-ext
-MANS = xynagios.1
+MANS = xynagios.1 Hobbit.3pm
 
 all: $(MANS)
 
 xynagios.1: client-bin/xynagios
 	pod2man $< > $@
+
+Hobbit.3pm: perl/Hobbit.pm
+	pod2man --section=3pm $< > $@
 
 install: $(MANS)
 	for dir in $(ETCDIRS) ; do \
@@ -34,7 +37,9 @@
 	install -d $(DESTDIR)/usr/share/perl5
 	install -m644 perl/* $(DESTDIR)/usr/share/perl5
 	install -d $(DESTDIR)/usr/share/man/man1
+	install -d $(DESTDIR)/usr/share/man/man3
 	install -m644 xynagios.1 $(DESTDIR)/usr/share/man/man1
+	install -m644 Hobbit.3pm $(DESTDIR)/usr/share/man/man3
 
 clean:
 	rm -f $(MANS)

=== debian/changelog ===
hobbit-plugins (20111012) unstable; urgency=low

  * Hobbit.pm: New key dont_moan to disable moan and croak if a test needs
    a badly written third party library.
  * Hobbit.pm: More sanity checks for max_color();
  * Hobbit.pm: Add Documentation as POD
    - Generate Hobbit.3pm man page out of Hobbit.pm
  * Move file_to_hash from client-ext/apt to Hobbit.pm
  * New client-side plugin backuppc based on the code of the backuppc
    nagios check from http://n-backuppc.sf.net/. Disabled by default.
  * New client-side plugin mailman which checks the existence of Mailman
    qfiles. Disabled by default.
  * New server-side plugin tftp based on the code of the conn6
    plugin. Disabled by default.
    - Suggest libnet-tftp-perl which is needed by this test.
  * Fix bug in client-ext/apt which prohibited packages installed from
    local "deb file:///…" repository to be recognized as such.
  * Update some links in README.Debian.
  * Add /var/yp and /var/yp/ypfiles to /etc/hobbit/dirty_vcs_dirs.
  * Mention the plugins mdstat, misc and ntpq in README.Debian.
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Axel Beckert <abe@debian.org>  Wed, 12 Oct 2011 00:17:57 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Christoph Berg <myon@debian.org>
 Uploaders: Axel Beckert <abe@debian.org>
 Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/collab-maint/hobbit-plugins.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/hobbit-plugins.git
 Homepage: http://xymon.sourceforge.net/
@@ -13,13 +13,16 @@
 Architecture: all
 Depends: xymon-client | hobbit-client, ${misc:Depends}
 Recommends: libsysadm-install-perl, lsof, sudo (>= 1.7.2p1-1)
-Suggests: libdbd-pg-perl, libnet-irc-perl, ipmitool, fping, ntp, git | git-core, bzr, mercurial, subversion
+Suggests: libdbd-pg-perl, libnet-irc-perl, libnet-tftp-perl, ipmitool, fping, ntp, git | git-core, bzr, mercurial, subversion
+Enhances: backuppc, mailman
 Description: plugins for the Xymon network monitor
  This package provides plugins for the Xymon network monitor. (Formerly called
  Hobbit.)
  .
  Included client plugins:
   * apt - check for outstanding updates
+  * backuppc - check for errors reported by BackupPC servers (needs
+    backuppc and sudo)
   * dirtyvcs - check for dirty VCS working copies (supports Git,
     Mercurial, Bzr and Subversion, needs appropriate VCS packages
     installed)
@@ -27,6 +30,7 @@
   * ipmi - read IPMI sensors and event log (needs ipmitool)
   * libs - check for running processes with upgraded libraries
     (needs lsof and sudo)
+  * mailman - check for the existence of Mailman qfiles. (needs sudo)
   * mdstat - check for failed or resyncing RAID devices
   * misc - meta plugin for running series of scripts (needs
     libsysadm-install-perl)
@@ -39,6 +43,8 @@
   * aptdiff - monitor list of installed packages in host pools
   * conn6 - check IPv6 connectivity (needs fping)
   * ircbot - relay status changes to IRC (needs libnet-irc-perl)
+  * tftp - checks TFTP servers by downloading a file from them
+    (needs libnet-tftp-perl)
  .
  Helper software:
   * Hobbit.pm: Perl module for writing plugins

## hobbit-plugins 20120531

=== debian/changelog ===
hobbit-plugins (20120531) unstable; urgency=low

  [ Axel Beckert ]
  * New client-side plugin "mq" to check (at least postfix) mail queues.
    (Disabled by default)
  * New client-side plugin "dirtyetc" to check for unexpected changes in
    conffiles. (Disabled by default)
  * Ported ircbot plugin from deprecated Net::IRC to POE::Component::IRC
    (Closes: #640209). AutoJoin is enabled, Flood protection disabled.
  * Updated debian/control and debian/README.Debian accordingly.
  * Hobbit.pm API change:
    - file_to_hash() renamed to file_to_list_of_regexps() and now returns
      an array instead of an hash
    - dirtyvcs' file_to_array() renamed to file_to_list_of_globs() and now
      exportable from Hobbit.pm
    - both functions now shift instead of pop from @_
  * client/ext/mq: Don't report RBL issues just on "too many connections".
  * Bump Standards-Version to 3.9.3 (no changes)

  [ Christoph Berg ]
  * aptdiff: Read list of packages to ignore from /etc/hobbit/aptdiff_ignore.
  * apt: Handle :arch in the output of dpkg --get-selections.

 -- Christoph Berg <myon@debian.org>  Thu, 31 May 2012 00:58:27 +0200

## hobbit-plugins 20120532

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-ETCFILES = dirty_vcs_dirs
+ETCFILES = dirty_vcs_dirs dirty_etc_ok
 ETCDIRS = clientlaunch.d misc.d hobbitgraph.d hobbitlaunch.d hobbitserver.d
 EXTDIRS = client-ext server-ext
 MANS = xynagios.1 Hobbit.3pm

=== debian/changelog ===
hobbit-plugins (20120532) unstable; urgency=low

  * Fixing regressions introduced by the rushed port to
    POE::Component::IRC (see #640209)
  * ircbot: Reading from STDIN fixed. Was broken since the switch to
    POE. (Closes: #696156)
  * ircbot: Handle irc_disconnected event. (Closes: #696160)
  * ircbot: Now based on POE::Component::IRC::State instead of just
    POE::Component::IRC. (Needed to close #696160 properly, too)

 -- Axel Beckert <abe@debian.org>  Thu, 27 Dec 2012 03:33:37 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Christoph Berg <myon@debian.org>
 Uploaders: Axel Beckert <abe@debian.org>
 Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/collab-maint/hobbit-plugins.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/hobbit-plugins.git
 Homepage: http://xymon.sourceforge.net/
@@ -13,8 +13,8 @@
 Architecture: all
 Depends: xymon-client | hobbit-client, ${misc:Depends}
 Recommends: libsysadm-install-perl, lsof, sudo (>= 1.7.2p1-1)
-Suggests: libdbd-pg-perl, libnet-irc-perl, libnet-tftp-perl, ipmitool, fping, ntp, git | git-core, bzr, mercurial, subversion
-Enhances: backuppc, mailman
+Suggests: libdbd-pg-perl, libpoe-component-irc-perl, libnet-tftp-perl, ipmitool, fping, ntp, git | git-core, bzr, mercurial, subversion, debsums
+Enhances: backuppc, mailman, postfix, dphys-config
 Description: plugins for the Xymon network monitor
  This package provides plugins for the Xymon network monitor. (Formerly called
  Hobbit.)
@@ -23,6 +23,9 @@
   * apt - check for outstanding updates
   * backuppc - check for errors reported by BackupPC servers (needs
     backuppc and sudo)
+  * dirtyetc - check for conffiles which are modified compared to
+    Debian's defaults but should not be (needs sudo and debsums,
+    supports dphys-config)
   * dirtyvcs - check for dirty VCS working copies (supports Git,
     Mercurial, Bzr and Subversion, needs appropriate VCS packages
     installed)
@@ -32,6 +35,7 @@
     (needs lsof and sudo)
   * mailman - check for the existence of Mailman qfiles. (needs sudo)
   * mdstat - check for failed or resyncing RAID devices
+  * mq - check (postfix's) mail queue
   * misc - meta plugin for running series of scripts (needs
     libsysadm-install-perl)
   * ntpq - check the ntpd daemon synchronization status (needs ntp)
@@ -42,7 +46,7 @@
  Included server plugins:
   * aptdiff - monitor list of installed packages in host pools
   * conn6 - check IPv6 connectivity (needs fping)
-  * ircbot - relay status changes to IRC (needs libnet-irc-perl)
+  * ircbot - relay status changes to IRC (needs libpoe-component-irc-perl)
   * tftp - checks TFTP servers by downloading a file from them
     (needs libnet-tftp-perl)
  .

=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,13 @@
 
 build-arch:
 build build-indep:
+	$(MAKE)
 
 install:
 	dh_testdir
 	dh_testroot
-	dh_clean -k
-	make install DESTDIR=debian/hobbit-plugins
+	dh_prep
+	$(MAKE) install DESTDIR=debian/hobbit-plugins
 
 binary-arch:
 binary binary-indep: install
@@ -22,5 +23,6 @@
 
 clean:
 	dh_clean
+	$(MAKE) clean
 
 .PHONY: build build-indep build-arch install binary binary-indep binary-arch clean

## hobbit-plugins 20120626

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ETCFILES = dirty_vcs_dirs dirty_etc_ok
-ETCDIRS = clientlaunch.d misc.d hobbitgraph.d hobbitlaunch.d hobbitserver.d
+ETCDIRS = clientlaunch.d misc.d xymongraph.d xymonlaunch.d xymonserver.d
 EXTDIRS = client-ext server-ext
 MANS = xynagios.1 Hobbit.3pm
 
@@ -13,22 +13,22 @@
 
 install: $(MANS)
 	for dir in $(ETCDIRS) ; do \
-		dest=$(DESTDIR)/etc/hobbit/$$dir && \
+		dest=$(DESTDIR)/etc/xymon/$$dir && \
 		install -d $$dest && \
 		install -m644 $$dir/* $$dest || exit 1 ; \
 	done
 	for file in $(ETCFILES) ; do \
-		dest=$(DESTDIR)/etc/hobbit && \
+		dest=$(DESTDIR)/etc/xymon && \
 		install -d $$dest && \
 		install -m644 etc/$$file $$dest || exit 1 ; \
 	done
-	chmod 755 $(DESTDIR)/etc/hobbit/misc.d/*
+	chmod 755 $(DESTDIR)/etc/xymon/misc.d/*
 	for dir in $(EXTDIRS) ; do \
-		dest=$(DESTDIR)/usr/lib/hobbit/`basename $$dir -ext`/ext && \
+		dest=$(DESTDIR)/usr/lib/xymon/`basename $$dir -ext`/ext && \
 		install -d $$dest && \
 		install $$dir/* $$dest || exit 1; \
 	done
-	dest=$(DESTDIR)/usr/lib/hobbit/client/bin && \
+	dest=$(DESTDIR)/usr/lib/xymon/client/bin && \
 	     install -d $$dest && \
 	     install client-bin/* $$dest
 	dest=$(DESTDIR)/etc/sudoers.d && \

=== debian/changelog ===
hobbit-plugins (20120626) experimental; urgency=low

  * Follow Xymon's path changes from /etc/hobbit/ to /etc/xymon/ et al.
    + Remove alternative dependency on hobbit-plugins
    + Require xymon-client >= 4.3.7-1~
    + Rename source directories hobbit*.d accordingly
    + Update postinst
    + Bump debhelper build-dependency to >= 8.1.0~ for the use of
      dpkg-maintscript-helper.
  * Drop alternative dependency on old transitional package git-core.

 -- Axel Beckert <abe@debian.org>  Tue, 26 Jun 2012 21:52:49 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Christoph Berg <myon@debian.org>
 Uploaders: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 7)
+Build-Depends: debhelper (>= 8.1.0~)
 Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/collab-maint/hobbit-plugins.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/hobbit-plugins.git
@@ -11,9 +11,10 @@
 
 Package: hobbit-plugins
 Architecture: all
-Depends: xymon-client | hobbit-client, ${misc:Depends}
+Pre-Depends: dpkg (>= 1.15.7.2)
+Depends: xymon-client (>= 4.3.7-1~), ${misc:Depends}
 Recommends: libsysadm-install-perl, lsof, sudo (>= 1.7.2p1-1)
-Suggests: libdbd-pg-perl, libpoe-component-irc-perl, libnet-tftp-perl, ipmitool, fping, ntp, git | git-core, bzr, mercurial, subversion, debsums
+Suggests: libdbd-pg-perl, libpoe-component-irc-perl, libnet-tftp-perl, ipmitool, fping, ntp, git, bzr, mercurial, subversion, debsums
 Enhances: backuppc, mailman, postfix, dphys-config
 Description: plugins for the Xymon network monitor
  This package provides plugins for the Xymon network monitor. (Formerly called

## hobbit-plugins 20131022

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 ETCFILES = dirty_vcs_dirs dirty_etc_ok
+APTCONFFILES = 15hobbit-plugins-update-stamp
 ETCDIRS = clientlaunch.d misc.d xymongraph.d xymonlaunch.d xymonserver.d
 EXTDIRS = client-ext server-ext
 MANS = xynagios.1 Hobbit.3pm
@@ -21,6 +22,11 @@
 		dest=$(DESTDIR)/etc/xymon && \
 		install -d $$dest && \
 		install -m644 etc/$$file $$dest || exit 1 ; \
+	done
+	for file in $(APTCONFFILES) ; do \
+		dest=$(DESTDIR)/etc/apt/apt.conf.d && \
+		install -d $$dest && \
+		install -m644 etc/apt.conf.d/$$file $$dest || exit 1 ; \
 	done
 	chmod 755 $(DESTDIR)/etc/xymon/misc.d/*
 	for dir in $(EXTDIRS) ; do \

=== debian/changelog ===
hobbit-plugins (20131022) unstable; urgency=low

  [ Axel Beckert ]
  * Add script to automatically generate pre-4.3.7-1-compatible package if
    not built for the experimental distribution.
  * apt:
    + Properly handle cases where a package is installed in an extra
      architecture but not in the primary architecture.
    + Properly recognize security updates on Debian and Ubuntu
    + Checks for broken or unconfigured packages
    + Print distribution and release
    + Use less resource-hungry grep-dctrl instead of aptitude to check
      aptitude's hold states. Recommend dctrl-tools.
    + Support aptitude's "Forbid Version" feature.
    + Don't show "apt-get install" line for hold packages.
    + Ship /etc/apt/apt.conf.d/15hobbit-plugins-update-stamp and let APT
      touch /var/lib/apt/periodic/update-success-stamp after a successful
      update of the package lists. APT hook taken copied from
      update-notifier-common which uses the same stamp file, because we
      don't want to pull the full update-notifier-common just for that
      one-line configuration file.
    + Fix "dpkg-query -l" output filtering, add assertion warning.
    + Also warn if last update was in the "future".
  * Hobbit.pm: Add Hobbit::trends wrapper method.
  * Refactoring Perl code:
    + Always use three-argument open() and parentheses.
    + Prefer $ENV{XYMON} over other variants.
    + Consistently use "$ENV{XYMON}" instead of "xymon".
  * Update error messages to mention what couldn't be done with a file.
  * ircbot:
    + Reading from STDIN fixed. Was broken since the switch to
      POE. (Closes: #696156)
    + Now based on POE::Component::IRC::State instead of just
      POE::Component::IRC to make POE::Component::IRC::Plugin::AutoJoin
      properly. (Related to #696160)
    + Handle irc_disconnected event. (Finally closes: #696160)
    + Make default/example configuration conforming to RFC2606
  * ntpq:
    + Catch case where /var/run/ntpd.pid does not exist.
  * misc.d/mount-ro:
    + Don't alarm for read-only NFS/NFSv4 or UDF mounts.
    + Make filesystem blacklist less false negative prone.
  * misc.d/zombies:
    + Only alarm if a zombie is a zombie 1 sec later. too.
    + Add script to generate a zombie to test misc.d/zombies.
    + Add optional zombies blacklist file. Install example zombie
      blacklist to /usr/share/doc/…/examples/.
  * mq:
    + Report and alarm about different Postfix queues separately.
    + Do not report RBL issues for fakemx.net and friends.
    + Exit silently if /usr/bin/mailq is not available.
    + Do not report "too busy" messages as RBL issues.
    + Create graphs of the different numbers.
  * tftp:
    + Make it work with Squeeze's version of Net::TFTP
  * dirtyvcs:
    + Now also runs git fsck on git repositories by default
    + Allow to skip single repositories by listing them with an
      exclamation mark prepended in dirty_vcs_dirs.
    + Now needs libfile-which-perl.
  * backuppc:
    + Show expected but not configured hosts clear instead of yellow.
  * mailman:
    + Report red on files in /var/lib/mailman/qfiles/shunt/, yellow
      for files in other subdirectories of /var/lib/mailman/qfiles/.
    + Only report queue files older than 5 minutes.
  * debian/control Vcs-* headers: Move from git.debian.org to
    anonscm.debian.org (Fixes lintian warnings vcs-field-not-canonical)
  * More hobbit → xymon renaming fixups:
    + conn6, tftp: bbhostgrep → xymongrep
  * Fix wrong method name in Hobbit.pm documentation.
  * Some reindenting and untabifying of Perl code.
  * Update copyright years.
  * Apply wrap-and-sort.

  [ Christoph Berg ]
  * Hobbit.pm: Accept both XYMON/XYMONSRV and BB/BBDISP environment variables.
  * Hobbit.pm: Add grep function wrapping xymongrep.
  * Hobbit.pm: Add graph method for showing more than one graph per test.
  * Hobbit.pm: Add sprintf method.
  * Hobbit.pm: Fix Hobbit::trends constructor. (Closes: #690768)
  * aptdiff: Modify aptdiff_ignore file to use "hostname pkg" patterns.
  * ipmi: Show more than the first line from "sel list". (Closes: #695785)
  * pgbouncer: New server-side script.
  * temp: New test graphing /sys/class/thermal/*/temp.
  * xynagios: Early strip test prefixes, otherwise errors get submitted with
    the long name.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 22 Oct 2013 10:50:15 +0200

=== debian/control ===
Source: hobbit-plugins
Section: net
Priority: extra
Maintainer: Christoph Berg <myon@debian.org>
Uploaders: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 8.1.0~)
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/collab-maint/hobbit-plugins.git
Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/hobbit-plugins.git
Homepage: http://xymon.sourceforge.net/

Package: hobbit-plugins
Architecture: all
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: xymon-client (>= 4.3.7-1~),
         ${misc:Depends}
Recommends: dctrl-tools,
            libsysadm-install-perl,
            lsb-release,
            lsof,
            sudo (>= 1.7.2p1-1)
Suggests: bzr,
          debsums,
          fping,
          git,
          ipmitool,
          libdbd-pg-perl,
          libfile-which-perl,
          libnet-tftp-perl,
          libpoe-component-irc-perl,
          mercurial,
          ntp,
          subversion
Enhances: backuppc,
          dphys-config,
          mailman,
          postfix
Description: plugins for the Xymon network monitor
 This package provides plugins for the Xymon network monitor. (Formerly called
 Hobbit.)
 .
 Included client plugins:
  * apt - check for outstanding updates
  * backuppc - check for errors reported by BackupPC servers (needs
    backuppc and sudo)
  * dirtyetc - check for conffiles which are modified compared to
    Debian's defaults but should not be (needs sudo and debsums,
    supports dphys-config)
  * dirtyvcs - check for dirty VCS working copies (supports Git,
    Mercurial, Bzr and Subversion, needs appropriate VCS packages
    and libfile-which-perl installed)
  * entropy - check kernel entropy pool size
  * ipmi - read IPMI sensors and event log (needs ipmitool)
  * libs - check for running processes with upgraded libraries
    (needs lsof and sudo)
  * mailman - checks the existence of Mailman shunt files and aged
    queue files. (needs sudo)
  * mdstat - check for failed or resyncing RAID devices
  * mq - check (postfix's) mail queue
  * misc - meta plugin for running series of scripts (needs
    libsysadm-install-perl)
  * ntpq - check the ntpd daemon synchronization status (needs ntp)
  * postgres - statistics graphs for PostgreSQL databases (needs
    libdbd-pg-perl)
  * sftbnc - check if the local Postfix MTA has soft_bounce enabled.
  * temp - simple temperature monitor
 .
 Included server plugins:
  * aptdiff - monitor list of installed packages in host pools
  * conn6 - check IPv6 connectivity (needs fping)
  * ircbot - relay status changes to IRC (needs libpoe-component-irc-perl)
  * pgbouncer - monitor pool usage and traffic
  * tftp - checks TFTP servers by downloading a file from them
    (needs libnet-tftp-perl)
 .
 Helper software:
  * Hobbit.pm: Perl module for writing plugins
  * xynagios: adaptor for running Nagios plugins with Xymon

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 build-arch:
 build build-indep:
+	#awk -F'[ ;]+' 'NR==1 {print $3}' debian/changelog | grep -iq experimental || debian/backport.sh
 	$(MAKE)
 
 install:
@@ -13,6 +14,7 @@
 binary-arch:
 binary binary-indep: install
 	dh_installdocs
+	dh_installexamples
 	dh_installchangelogs
 	dh_fixperms
 	dh_compress
@@ -24,5 +26,6 @@
 clean:
 	dh_clean
 	$(MAKE) clean
+	#awk -F'[ ;]+' 'NR==1 {print $3}' debian/changelog | grep -iq experimental || debian/backport.sh undo
 
 .PHONY: build build-indep build-arch install binary binary-indep binary-arch clean

## hobbit-plugins 20131218

=== debian/changelog ===
hobbit-plugins (20131218) unstable; urgency=low

  [ Christoph Berg ]
  * xynagios: Sanitize trends data before sending it to rrd.

  [ Axel Beckert ]
  * Bump Standards-Version to 3.9.5 (no changes).
  * ircbot:
    + Imply ^…$ boundaries around ALERT_HOSTS and ALERT_IGNORE elements.
    + Allow host.test form in ALERT_IGNORE.
  * Re-enable automatic backporting for now (has been disabled in last
    upload and caused uninstallability without xymon-client from
    Experimental)

  [ Elmar Heeb ]
  * Rewrite misc.d/zombies so that it indicates parent processes of
    zombies. (Closes: #720904)
  * libs: .config and .cache directories added to exclude list

  [ Axel Beckert ]
  * Update Suggests, zombies_ignore example, long description, and README
    for new misc.d/zombies check.
  * Downgrade libsysadm-install-perl to Suggests as it's only needed for
    plugins not enabled by default.
  * Mention that xynagios needs libsysadm-install-perl, too.
  * libs: Apply patch by Dr. F. Lee to hide false positives via
    configuration file. (Patch slightly modifed; closes: #686456) Also
    adds an example configuration file and documentation.
  * mount-ro: Whitelist more network file systems (cifs and smbfs)
  * Add debian/gbp.conf to declare different git tag syntax.

 -- Axel Beckert <abe@debian.org>  Wed, 18 Dec 2013 01:52:57 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Christoph Berg <myon@debian.org>
 Uploaders: Axel Beckert <abe@debian.org>
 Build-Depends: debhelper (>= 8.1.0~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/hobbit-plugins.git
 Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/hobbit-plugins.git
 Homepage: http://xymon.sourceforge.net/
@@ -15,7 +15,6 @@
 Depends: xymon-client (>= 4.3.7-1~),
          ${misc:Depends}
 Recommends: dctrl-tools,
-            libsysadm-install-perl,
             lsb-release,
             lsof,
             sudo (>= 1.7.2p1-1)
@@ -26,8 +25,10 @@
           ipmitool,
           libdbd-pg-perl,
           libfile-which-perl,
+          liblist-moreutils-perl,
           libnet-tftp-perl,
           libpoe-component-irc-perl,
+          libsysadm-install-perl,
           mercurial,
           ntp,
           subversion
@@ -58,7 +59,7 @@
   * mdstat - check for failed or resyncing RAID devices
   * mq - check (postfix's) mail queue
   * misc - meta plugin for running series of scripts (needs
-    libsysadm-install-perl)
+    libsysadm-install-perl and liblist-moreutils-perl)
   * ntpq - check the ntpd daemon synchronization status (needs ntp)
   * postgres - statistics graphs for PostgreSQL databases (needs
     libdbd-pg-perl)
@@ -75,4 +76,5 @@
  .
  Helper software:
   * Hobbit.pm: Perl module for writing plugins
-  * xynagios: adaptor for running Nagios plugins with Xymon
+  * xynagios: adaptor for running Nagios plugins with Xymon (needs
+    libsysadm-install-perl)

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 build-arch:
 build build-indep:
-	#awk -F'[ ;]+' 'NR==1 {print $3}' debian/changelog | grep -iq experimental || debian/backport.sh
+	awk -F'[ ;]+' 'NR==1 {print $3}' debian/changelog | grep -iq experimental || debian/backport.sh
 	$(MAKE)
 
 install:
@@ -26,6 +26,6 @@
 clean:
 	dh_clean
 	$(MAKE) clean
-	#awk -F'[ ;]+' 'NR==1 {print $3}' debian/changelog | grep -iq experimental || debian/backport.sh undo
+	awk -F'[ ;]+' 'NR==1 {print $3}' debian/changelog | grep -iq experimental || debian/backport.sh undo
 
 .PHONY: build build-indep build-arch install binary binary-indep binary-arch clean

## hobbit-plugins 20140520

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-ETCFILES = dirty_vcs_dirs dirty_etc_ok
+ETCFILES = dirty_vcs_dirs dirty_etc_ok libs.yaml
 APTCONFFILES = 15hobbit-plugins-update-stamp
-ETCDIRS = clientlaunch.d misc.d xymongraph.d xymonlaunch.d xymonserver.d
+ETCDIRS = clientlaunch.d misc.d graphs.d xymonlaunch.d xymonserver.d
 EXTDIRS = client-ext server-ext
 MANS = xynagios.1 Hobbit.3pm

=== debian/changelog ===
hobbit-plugins (20140520) unstable; urgency=low

  * Upload to unstable again to follow xymon's upload to unstable.
    + Call debian/backports.sh now only if backports are targeted
  * Rename xymongraph.d to graphs.d to follow upstream here, too.
    + Depend on xymon-client >= 4.3.17-2~

 -- Axel Beckert <abe@debian.org>  Tue, 20 May 2014 22:35:44 +0200

hobbit-plugins (20140515) unstable; urgency=medium

  * libs:
    + Fix missing default plugin dependency by adding binutils to
      Recommends. (Closes: #748100)
    + Bail out more gracefully if kernel images are not readable (Default
      on Ubuntu) and refer to LP#759725 for details and workaround.
    + Support non-x86 architectures
  * Update copyright years and owners in client-ext/libs.
  * Update plugin paths and copyright years in debian/copyright.

 -- Axel Beckert <abe@debian.org>  Fri, 16 May 2014 17:40:27 +0200

hobbit-plugins (20140513) unstable; urgency=low

  [ Axel Beckert ]
  * mq: Report local delivery issues only once, decide warning level based
    on numbers and age. Uses Data::Parse, add libtimedate-perl to Suggests
  * apt: Simplify apt-cache policy call: No more IPC::Open3 and xargs
  * mailman: Add missing \n in output
  * libs: Rewrite kernel version check based on ideas from needrestart.
    + Add libsort-naturally-perl to Recommends.

  [ Elmar Heeb ]
  * libs:
    + Refactor and clean up whole test.
    + Factor out whitelist into config files libs.yaml and libs.local.yaml
    + Use lsof's machine-readable output instead of the human-readable one.
    + Add /tmp/, /run/, /var/run/, /dev/pts. dovecot indexes and caches,
      lightdm's speech dispatcher files and .local/share/gvfs-metadata to
      path whitelist.
    + Add libyaml-tiny-perl to Recommends.

  [ Christoph Berg ]
  * Hobbit.pm: Allow presetting color, as documented.

 -- Axel Beckert <abe@debian.org>  Tue, 13 May 2014 19:44:41 +0200

hobbit-plugins (20140120) unstable; urgency=low

  * mq: Check for local delivery issues
  * dirtvcs: Adapt for changed "clean" message of recent git versions
  * Fix path of Vcs-Browser value

 -- Axel Beckert <abe@debian.org>  Mon, 20 Jan 2014 13:23:26 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,18 @@
 Build-Depends: debhelper (>= 8.1.0~)
 Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/hobbit-plugins.git
-Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/hobbit-plugins.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/hobbit-plugins.git
 Homepage: http://xymon.sourceforge.net/
 
 Package: hobbit-plugins
 Architecture: all
 Pre-Depends: dpkg (>= 1.15.7.2)
-Depends: xymon-client (>= 4.3.7-1~),
+Depends: xymon-client (>= 4.3.17-2~),
          ${misc:Depends}
-Recommends: dctrl-tools,
+Recommends: binutils,
+            dctrl-tools,
+            libsort-naturally-perl,
+            libyaml-tiny-perl,
             lsb-release,
             lsof,
             sudo (>= 1.7.2p1-1)
@@ -29,6 +32,7 @@
           libnet-tftp-perl,
           libpoe-component-irc-perl,
           libsysadm-install-perl,
+          libtimedate-perl,
           mercurial,
           ntp,
           subversion
@@ -53,11 +57,11 @@
   * entropy - check kernel entropy pool size
   * ipmi - read IPMI sensors and event log (needs ipmitool)
   * libs - check for running processes with upgraded libraries
-    (needs lsof and sudo)
+    (needs binutils, lsof, sudo, libyaml-tiny, and libsort-naturally-perl)
   * mailman - checks the existence of Mailman shunt files and aged
     queue files. (needs sudo)
   * mdstat - check for failed or resyncing RAID devices
-  * mq - check (postfix's) mail queue
+  * mq - check (postfix's) mail queue (needs libtimedate-perl)
   * misc - meta plugin for running series of scripts (needs
     libsysadm-install-perl and liblist-moreutils-perl)
   * ntpq - check the ntpd daemon synchronization status (needs ntp)

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 build-arch:
 build build-indep:
-	awk -F'[ ;]+' 'NR==1 {print $3}' debian/changelog | grep -iq experimental || debian/backport.sh
+	if awk -F'[ ;]+' 'NR==1 {print $3}' debian/changelog | grep -iq backports; then debian/backport.sh; fi
 	$(MAKE)
 
 install:
@@ -26,6 +26,6 @@
 clean:
 	dh_clean
 	$(MAKE) clean
-	awk -F'[ ;]+' 'NR==1 {print $3}' debian/changelog | grep -iq experimental || debian/backport.sh undo
+	if awk -F'[ ;]+' 'NR==1 {print $3}' debian/changelog | grep -iq backports; then debian/backport.sh undo; fi
 
 .PHONY: build build-indep build-arch install binary binary-indep binary-arch clean
